{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "source": [
    "# Приветствие #\n",
    "\n",
    "Рад приветствовать вас на курсе «Основы программирования на Python»!"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "source": [
    "## Почему именно Python? ##\n",
    "\n",
    "**Python** - это простой, гибкий, популярный, и, что самое главное, востребованный язык программирования, на котором можно написать практически всё.\n",
    "\n",
    "Создавать веб-проекты, заниматься машинным обучением и анализом данных, автоматизировать задачи системного администрирования и многое другое."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "source": [
    "Создавая этот курс, я стремился покрыть все темы, необходимые разработчику каждый день.\n",
    "\n",
    "Однако курс — это не просто набор лекций.\n",
    "\n",
    "Вас также ждёт большое количество практических примеров и задач.\n",
    "\n",
    "Именно это позволит вам оттачивать ваши знания и навыки по мере их получения."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "source": [
    "В первом блоке курса мы познакомимся с интерпретатором Python, посмотрим на основные конструкции и типы языка."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "source": [
    "Затем нас ждёт знакомство со структурами данных и с функциями."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "source": [
    "Дальше вас ждёт погружение в мир объектно-ориентированного программирования."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "source": [
    "В пятом блоке курса вы познакомитесь с многопоточным и асинхронным программированием."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "source": [
    "Чтобы научиться программировать на Python, нужно как можно быстрее начать разрабатывать свои собственные настоящие программы.\n",
    "\n",
    "У вас будет возможность заняться этим вплотную на шестом блоке обучения.\n",
    "\n",
    "В итоговом проекте вы создадите своё сетевое клиент-серверное приложение.\n",
    "\n",
    "С подобными задачами сталкиваются разработчики в нашем институте."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "source": [
    "Готовы? Давайте уже начнём программировать. [Далее...](Опрос.ipynb)"
   ]
  }
 ],
 "metadata": {
  "celltoolbar": "Слайд-шоу",
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.8.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 4
}
